	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "legend1")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_upper_right_longitude", 65.00)
	call psetr("subpage_upper_right_latitude", 51.28)
	call psetr("subpage_lower_left_latitude", 21.51)
	call psetr("subpage_map_vertical_longitude", 0.00)
	call psetr("subpage_lower_left_longitude", -37.27)
	call psetc("subpage_map_projection", "polar_stereographic")

	call psetc("grib_id", "t850")
	call psetc("grib_input_file_name", "./t850.grb")
	call pgrib

	call psetc("contour_level_selection_type", "interval")
	call psetc("contour_shade_colour_method", "list")
	call psetc("contour_shade_method", "area_fill")
	call psetc("contour_shade", "on")
	call psetr("contour_shade_max_level", 48.00)
	call psetc("contour_hilo", "off")
	call psetc("contour", "off")
	call psetc("contour_label", "off")
	call psetr("contour_shade_min_level", -48.00)
	call psetc("legend", "on")
	call psetr("contour_interval", 4.00)
	call pset1c("contour_shade_colour_list", (/"rgb(0,0,0.5)", "rgb(0,0,0.5)", "rgb(0,0,0.85)", "rgb(0,0,0.5)", "rgb(0,0,0.85)", "rgb(0.25,0,1)", "blue_purple", "greenish_blue", "blue_green", "bluish_green", "yellow_green", "greenish_yellow", "yellow", "orangish_yellow", "orange_yellow", "yellowish_orange", "orange", "reddish_orange", "red_orange", "orangish_red", "red", "magenta", "magenta", "magenta"/), 24)
	call pcont

	call psetc("grib_id", "z500")
	call psetc("grib_input_file_name", "./z500.grb")
	call pgrib

	call psetc("contour_level_selection_type", "interval")
	call psetc("contour_line_colour", "black")
	call psetr("contour_hilo_height", 0.25)
	call psetc("contour_hilo", "on")
	call psetc("contour_hilo_quality", "high")
	call pseti("contour_line_thickness", 1)
	call psetc("contour_label", "off")
	call psetc("contour_highlight_colour", "black")
	call pseti("contour_highlight_thickness", 2)
	call psetc("legend", "off")
	call psetr("contour_interval", 5.00)
	call pcont

	call psetc("map_coastline_resolution", "high")
	call psetc("map_grid_colour", "tan")
	call psetc("map_grid", "on")
	call psetc("map_coastline_colour", "tan")
	call pcoast

	call pset1c("text_lines", (/"<font size='1'>Vertical legend with user defined text</font>", "", "<grib_info id='z500' key='name' format='%s'/> <grib_info id='z500' key='level' format=' at %s hPa'/>"/), 3)
	call psetr("text_font_size", 0.50)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call psetr("legend_box_x_position", 28.00)
	call psetc("legend_display_type", "continuous")
	call psetr("legend_box_y_position", 1.00)
	call psetr("legend_box_x_length", 2.00)
	call psetc("legend_title", "on")
	call psetc("legend_text_font_size", "0.4")
	call psetc("legend_box_mode", "positional")
	call psetc("legend_text_colour", "black")
	call psetr("legend_box_y_length", 14.00)
	call psetc("legend", "on")
	call psetc("legend_title_text", "Temperature at 850 hPa")

	call pclose

	end
